Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.consumer.portlet
Class WSRPPortlet

    java.lang.Object
      org.jboss.portal.wsrp.consumer.portlet.WSRPPortlet

All Implemented Interfaces:
  org.jboss.portal.portlet.Portlet

    public class WSRPPortlet

extends java.lang.Object
implements org.jboss.portal.portlet.Portlet

Simple implementation of org.jboss.portal.portlet.Portlet interface

Version:
  $Revision: 8784 $
Author:
  Boleslaw Dawidowicz

Constructor Summary
`WSRPPortlet()`
`WSRPPortlet(org.jboss.portal.portlet.PortletContext context, org.jboss.portal.portlet.info.PortletInfo info)`

Method Summary
`static WSRPPortlet` | `createClone(org.jboss.portal.portlet.PortletContext newContext, WSRPPortletInfo originalInfo)`
`org.jboss.portal.portlet.PortletContext` | `getContext()` Portlet interface implemented methods
`org.jboss.portal.portlet.info.PortletInfo` | `getInfo()`
`WSRPPortletInfo` | `getWSRPInfo()`
`boolean` | `isRemote()`
`void` | `setInfo(org.jboss.portal.portlet.info.PortletInfo info)`
`void` | `setPortletContext(org.jboss.portal.portlet.PortletContext context)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WSRPPortlet

    public WSRPPortlet()

### WSRPPortlet

    public WSRPPortlet(org.jboss.portal.portlet.PortletContext context,
                       org.jboss.portal.portlet.info.PortletInfo info)

Method Detail

### createClone

    public static WSRPPortlet createClone(org.jboss.portal.portlet.PortletContext newContext,
                                          WSRPPortletInfo originalInfo)

### getContext

    public org.jboss.portal.portlet.PortletContext getContext()

  Portlet interface implemented methods

  Specified by:
    `getContext` in interface `org.jboss.portal.portlet.Portlet`

### getInfo

    public org.jboss.portal.portlet.info.PortletInfo getInfo()

  Specified by:
    `getInfo` in interface `org.jboss.portal.portlet.Portlet`

### isRemote

    public boolean isRemote()

  Specified by:
    `isRemote` in interface `org.jboss.portal.portlet.Portlet`

### setInfo

    public void setInfo(org.jboss.portal.portlet.info.PortletInfo info)

### getWSRPInfo

    public WSRPPortletInfo getWSRPInfo()

### setPortletContext

    public void setPortletContext(org.jboss.portal.portlet.PortletContext context)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD